QR kodları
GET https://qrcodedynamic.com/api/qr-codes/
curl --request GET \
--url 'https://qrcodedynamic.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe Bağlı String | Arama dizesi |
| search_by | İsteğe Bağlı String | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name. |
| project_id | İsteğe Bağlı Tamsayı | |
| type | İsteğe Bağlı String | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , vcard , crypto , paypal , upi , epc , pix. |
| order_by | İsteğe Bağlı String | Sonuçları hangi alana göre sıralamak gerektiği. İzin verilen değerler: qr_code_id , datetime , last_datetime , name , type. |
| order_type | İsteğe Bağlı String | Sonuçların sıralanması. İzin verilen değerler: Artan sıralama için ASC, azalan sıralama için DESC |
| page | İsteğe Bağlı Tamsayı | Sonuç almak istediğiniz sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe Bağlı Tamsayı | Sayfa başına kaç sonuç istersiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan değer 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qrcodedynamic.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-09-24 06:31:19",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodedynamic.com/api/qr-codes?page=1",
"last": "https://qrcodedynamic.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodedynamic.com/api/qr-codes?page=1"
}
}GET https://qrcodedynamic.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://qrcodedynamic.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qrcodedynamic.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-09-24 06:31:19",
}
}POST https://qrcodedynamic.com/api/qr-codes
curl --request POST \
--url 'https://qrcodedynamic.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| link_id | İsteğe Bağlı Tamsayı | - |
| project_id | İsteğe Bağlı Tamsayı | - |
| name | Gerekli String | - |
| type | Gerekli String | İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix |
| is_bulk | İsteğe Bağlı Boolean | type = text kullanılabilir |
| style | İsteğe Bağlı String | İzin verilen değerler: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x |
| inner_eye_style | İsteğe Bağlı String | İzin verilen değerler: square, dot, rounded, diamond, flower, leaf |
| outer_eye_style | İsteğe Bağlı String | İzin verilen değerler: square, circle, rounded, flower, leaf |
| foreground_type | İsteğe Bağlı String | İzin verilen değerler: color, gradient |
| foreground_color | İsteğe Bağlı String | foreground_type = color kullanılabilir |
| foreground_gradient_style | İsteğe Bağlı String | İzin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial |
| foreground_gradient_one | İsteğe Bağlı String | foreground_type = gradient kullanılabilir |
| foreground_gradient_two | İsteğe Bağlı String | foreground_type = gradient kullanılabilir |
| background_color | İsteğe Bağlı String | |
| background_color_transparency | İsteğe Bağlı Tamsayı | |
| custom_eyes_color | İsteğe Bağlı Boolean | |
| eyes_inner_color | İsteğe Bağlı String | custom_eyes_color = 1 kullanılabilir |
| eyes_outer_color | İsteğe Bağlı String | custom_eyes_color = 1 kullanılabilir |
| qr_code_logo | İsteğe Bağlı Dosya | - |
| qr_code_logo_size | İsteğe Bağlı Tamsayı | 5-35 |
| qr_code_background | İsteğe Bağlı Dosya | - |
| qr_code_background_transparency | İsteğe Bağlı Tamsayı | 0-100 |
| qr_code_foreground | İsteğe Bağlı Dosya | - |
| qr_code_foreground_transparency | İsteğe Bağlı Tamsayı | 0-100 |
| frame | İsteğe Bağlı String | İzin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text |
| frame_text | İsteğe Bağlı String | |
| frame_text_size | İsteğe Bağlı Tamsayı | -5 - 5 |
| frame_text_font | İsteğe Bağlı String | İzin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt |
| frame_custom_colors | İsteğe Bağlı Boolean | |
| frame_color | İsteğe Bağlı String | frame_custom_colors = 1 kullanılabilir |
| frame_text_color | İsteğe Bağlı String | frame_custom_colors = 1 kullanılabilir |
| size | İsteğe Bağlı Tamsayı | 50-2000 |
| margin | İsteğe Bağlı Tamsayı | 0-25 |
| ecc | İsteğe Bağlı String | İzin verilen değerler: L, M, Q, H |
| text | İsteğe Bağlı String | type = text kullanılabilir |
| url | İsteğe Bağlı String | type = url kullanılabilir |
| phone | İsteğe Bağlı String | type = phone kullanılabilir |
| sms | İsteğe Bağlı String | type = sms kullanılabilir |
| sms_body | İsteğe Bağlı String | type = sms kullanılabilir |
| İsteğe Bağlı String | type = email kullanılabilir | |
| email_subject | İsteğe Bağlı String | type = email kullanılabilir |
| email_body | İsteğe Bağlı String | type = email kullanılabilir |
| İsteğe Bağlı String | type = whatsapp kullanılabilir | |
| whatsapp_body | İsteğe Bağlı String | type = whatsapp kullanılabilir |
| facetime | İsteğe Bağlı String | type = facetime kullanılabilir |
| location | ||
| location_latitude | İsteğe Bağlı Yüzer Sayı | type = location kullanılabilir |
| location_longitude | İsteğe Bağlı Yüzer Sayı | type = location kullanılabilir |
| wifi | ||
| wifi_ssid | İsteğe Bağlı String | type = wifi kullanılabilir |
| wifi_encryption | İsteğe Bağlı String | İzin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi) |
| wifi_password | İsteğe Bağlı String | type = wifi kullanılabilir |
| wifi_is_hidden | İsteğe Bağlı Boolean | type = wifi kullanılabilir |
| event | İsteğe Bağlı String | type = event kullanılabilir |
| event_location | İsteğe Bağlı String | type = event kullanılabilir |
| event_url | İsteğe Bağlı String | type = event kullanılabilir |
| event_note | İsteğe Bağlı String | type = event kullanılabilir |
| event_timezone | İsteğe Bağlı String | type = event kullanılabilir |
| event_start_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_end_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_first_alert_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_second_alert_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| crypto | ||
| crypto_coin | İsteğe Bağlı String | type = crypto kullanılabilir |
| crypto_address | İsteğe Bağlı String | type = crypto kullanılabilir |
| crypto_amount | İsteğe Bağlı String | type = crypto kullanılabilir |
| vcard | ||
| vcard_first_name | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_last_name | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_company | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_phone_number_label[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_phone_number_value[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_email | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_url | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_job_title | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_birthday | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_street | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_city | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_zip | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_region | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_country | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_note | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_social_label[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_social_value[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| paypal | ||
| paypal_type | İsteğe Bağlı String | İzin verilen değerler: buy_now, add_to_cart, donation (type=paypal) |
| paypal_email | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_title | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_currency | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_price | İsteğe Bağlı Yüzer Sayı | type = paypal kullanılabilir |
| paypal_thank_you_url | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_cancel_url | İsteğe Bağlı String | type = paypal kullanılabilir |
| upi | ||
| upi_payee_id | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_payee_name | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_currency | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_amount | İsteğe Bağlı Yüzer Sayı | type = upi kullanılabilir |
| upi_transaction_id | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_transaction_note | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_transaction_reference | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_thank_you_url | İsteğe Bağlı String | type = upi kullanılabilir |
| epc | ||
| epc_iban | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_payee_name | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_currency | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_amount | İsteğe Bağlı Yüzer Sayı | type = epc kullanılabilir |
| epc_bic | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_remittance_reference | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_remittance_text | İsteğe Bağlı String | type = epc kullanılabilir |
| information | İsteğe Bağlı String | type = epc kullanılabilir |
| pix | ||
| pix_payee_key | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_payee_name | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_currency | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_amount | İsteğe Bağlı Yüzer Sayı | type = pix kullanılabilir |
| pix_city | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_transaction_id | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_description | İsteğe Bağlı String | type = pix kullanılabilir |
{
"data": {
"id": 1
}
}POST https://qrcodedynamic.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://qrcodedynamic.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| link_id | İsteğe Bağlı Tamsayı | - |
| project_id | İsteğe Bağlı String | - |
| name | İsteğe Bağlı String | - |
| type | İsteğe Bağlı String | İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix |
| style | İsteğe Bağlı String | İzin verilen değerler: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x |
| inner_eye_style | İsteğe Bağlı String | İzin verilen değerler: square, dot, rounded, diamond, flower, leaf |
| outer_eye_style | İsteğe Bağlı String | İzin verilen değerler: square, circle, rounded, flower, leaf |
| foreground_type | İsteğe Bağlı String | İzin verilen değerler: color, gradient |
| foreground_color | İsteğe Bağlı String | foreground_type = color kullanılabilir |
| foreground_gradient_style | İsteğe Bağlı String | İzin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial |
| foreground_gradient_one | İsteğe Bağlı String | foreground_type = gradient kullanılabilir |
| foreground_gradient_two | İsteğe Bağlı String | foreground_type = gradient kullanılabilir |
| background_color | İsteğe Bağlı String | |
| background_color_transparency | İsteğe Bağlı Tamsayı | 0 - 100 |
| custom_eyes_color | İsteğe Bağlı Boolean | |
| eyes_inner_color | İsteğe Bağlı String | custom_eyes_color = 1 kullanılabilir |
| eyes_outer_color | İsteğe Bağlı String | custom_eyes_color = 1 kullanılabilir |
| qr_code_logo | İsteğe Bağlı Dosya | - |
| qr_code_logo_size | İsteğe Bağlı Tamsayı | 5-35 |
| qr_code_background | İsteğe Bağlı Dosya | - |
| qr_code_background_transparency | İsteğe Bağlı Tamsayı | 0-100 |
| qr_code_foreground | İsteğe Bağlı Dosya | - |
| qr_code_foreground_transparency | İsteğe Bağlı Tamsayı | 0-100 |
| frame | İsteğe Bağlı String | İzin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text |
| frame_text | İsteğe Bağlı String | |
| frame_text_size | İsteğe Bağlı Tamsayı | -5 -> 5 |
| frame_text_font | İsteğe Bağlı String | İzin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt |
| frame_custom_colors | İsteğe Bağlı Boolean | |
| frame_color | İsteğe Bağlı String | frame_custom_colors = 1 kullanılabilir |
| frame_text_color | İsteğe Bağlı String | frame_custom_colors = 1 kullanılabilir |
| size | İsteğe Bağlı Tamsayı | 50-2000 |
| margin | İsteğe Bağlı Tamsayı | 0-25 |
| ecc | İsteğe Bağlı String | İzin verilen değerler: L, M, Q, H |
| text | İsteğe Bağlı String | type = text kullanılabilir |
| url | İsteğe Bağlı String | type = url kullanılabilir |
| phone | İsteğe Bağlı String | type = phone kullanılabilir |
| sms | İsteğe Bağlı String | type = sms kullanılabilir |
| sms_body | İsteğe Bağlı String | type = sms kullanılabilir |
| İsteğe Bağlı String | type = email kullanılabilir | |
| email_subject | İsteğe Bağlı String | type = email kullanılabilir |
| email_body | İsteğe Bağlı String | type = email kullanılabilir |
| İsteğe Bağlı String | type = whatsapp kullanılabilir | |
| whatsapp_body | İsteğe Bağlı String | type = whatsapp kullanılabilir |
| facetime | İsteğe Bağlı String | type = facetime kullanılabilir |
| location | ||
| location_latitude | İsteğe Bağlı Yüzer Sayı | type = location kullanılabilir |
| location_longitude | İsteğe Bağlı Yüzer Sayı | type = location kullanılabilir |
| wifi | ||
| wifi_ssid | İsteğe Bağlı String | type = wifi kullanılabilir |
| wifi_encryption | İsteğe Bağlı String | İzin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi) |
| wifi_password | İsteğe Bağlı String | type = wifi kullanılabilir |
| wifi_is_hidden | İsteğe Bağlı Boolean | type = wifi kullanılabilir |
| event | İsteğe Bağlı String | type = event kullanılabilir |
| event_location | İsteğe Bağlı String | type = event kullanılabilir |
| event_url | İsteğe Bağlı String | type = event kullanılabilir |
| event_note | İsteğe Bağlı String | type = event kullanılabilir |
| event_timezone | İsteğe Bağlı String | type = event kullanılabilir |
| event_start_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_end_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_first_alert_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| event_second_alert_datetime | İsteğe Bağlı String | type = event kullanılabilir |
| crypto | ||
| crypto_coin | İsteğe Bağlı String | type = crypto kullanılabilir |
| crypto_address | İsteğe Bağlı String | type = crypto kullanılabilir |
| crypto_amount | İsteğe Bağlı String | type = crypto kullanılabilir |
| vcard | ||
| vcard_first_name | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_last_name | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_company | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_phone_number_label[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_phone_number_value[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_email | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_url | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_job_title | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_birthday | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_street | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_city | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_zip | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_region | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_country | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_note | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_social_label[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| vcard_social_value[index] | İsteğe Bağlı String | type = vcard kullanılabilir |
| paypal | ||
| paypal_type | İsteğe Bağlı String | İzin verilen değerler: buy_now, add_to_cart, donation (type=paypal) |
| paypal_email | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_title | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_currency | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_price | İsteğe Bağlı Yüzer Sayı | type = paypal kullanılabilir |
| paypal_thank_you_url | İsteğe Bağlı String | type = paypal kullanılabilir |
| paypal_cancel_url | İsteğe Bağlı String | type = paypal kullanılabilir |
| upi | ||
| upi_payee_id | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_payee_name | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_currency | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_amount | İsteğe Bağlı Yüzer Sayı | type = upi kullanılabilir |
| upi_transaction_id | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_transaction_note | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_transaction_reference | İsteğe Bağlı String | type = upi kullanılabilir |
| upi_thank_you_url | İsteğe Bağlı String | type = upi kullanılabilir |
| epc | ||
| epc_iban | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_payee_name | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_currency | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_amount | İsteğe Bağlı Yüzer Sayı | type = epc kullanılabilir |
| epc_bic | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_remittance_reference | İsteğe Bağlı String | type = epc kullanılabilir |
| epc_remittance_text | İsteğe Bağlı String | type = epc kullanılabilir |
| information | İsteğe Bağlı String | type = epc kullanılabilir |
| pix | ||
| pix_payee_key | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_payee_name | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_currency | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_amount | İsteğe Bağlı Yüzer Sayı | type = pix kullanılabilir |
| pix_city | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_transaction_id | İsteğe Bağlı String | type = pix kullanılabilir |
| pix_description | İsteğe Bağlı String | type = pix kullanılabilir |
{
"data": {
"id": 1
}
}DELETE https://qrcodedynamic.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://qrcodedynamic.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \